Module jdk.xml.dom
Package org.w3c.dom.html

# Interface HTMLTableColElement

All Superinterfaces:
  `Element`, `HTMLElement`, `Node`

public interface HTMLTableColElement extends HTMLElement
Regroups the `COL` and `COLGROUP` elements. See the COL element definition in HTML 4.0.

See also the Document Object Model (DOM) Level 2 Specification.

Since:
  1.4, DOM Level 2

## Field Summary

### Fields declared in interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAlign()`
Horizontal alignment of cell data in column.
`String`
`getCh()`
Alignment character for cells in a column.
`String`
`getChOff()`
Offset of alignment character.
`int`
`getSpan()`
Indicates the number of columns in a group or affected by a grouping.
`String`
`getVAlign()`
Vertical alignment of cell data in column.
`String`
`getWidth()`
Default column width.
`void`
`setAlign(String align)`
`void`
`setCh(String ch)`
`void`
`setChOff(String chOff)`
`void`
`setSpan(int span)`
`void`
`setVAlign(String vAlign)`
`void`
`setWidth(String width)`

### Methods declared in interface org.w3c.dom.Element

`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

### Methods declared in interface org.w3c.dom.html.HTMLElement

`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

### Methods declared in interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

## Method Details

### getAlign

String getAlign()
Horizontal alignment of cell data in column. See the align attribute definition in HTML 4.0.

### setAlign

void setAlign(String align)

### getCh

String getCh()
Alignment character for cells in a column. See the char attribute definition in HTML 4.0.

### setCh

void setCh(String ch)

### getChOff

String getChOff()
Offset of alignment character. See the charoff attribute definition in HTML 4.0.

### setChOff

void setChOff(String chOff)

### getSpan

int getSpan()
Indicates the number of columns in a group or affected by a grouping. See the span attribute definition in HTML 4.0.

### setSpan

void setSpan(int span)

### getVAlign

String getVAlign()
Vertical alignment of cell data in column. See the valign attribute definition in HTML 4.0.

### setVAlign

void setVAlign(String vAlign)

### getWidth

String getWidth()
Default column width. See the width attribute definition in HTML 4.0.

### setWidth

void setWidth(String width)